apiVersion: apps/v1
kind: Deployment
metadata:
  name: fusero-frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: fusero-frontend
  template:
    metadata:
      labels:
        app: fusero-frontend
    spec:
      containers:
        - name: frontend
          image: {{ .Values.frontend.image }}
          imagePullPolicy: {{ .Values.global.imagePullPolicy }}
          ports:
            - containerPort: {{ .Values.frontend.port }}
          env:
            {{- range $key, $val := .Values.frontend.env }}
            - name: {{ $key }}
              value: "{{ $val }}"
            {{- end }}
